%define	module	Mail-Sender
%define	name	perl-%{module}
%define version 0.8.16
%define release %mkrel 10

%define	_requires_exceptions perl(Win32API::Registry)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for sending mails with attachments through an SMTP server 
License:	GPL
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{module}-%{version}.tar.bz2
URL:            http://search.cpan.org/dist/%{module}/
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo "N
" | %make




%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mail
%{_mandir}/*/*




%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


